import request from '@/utils/request'

// 创建素材管理
export function createMaterial(data) {
  return request({
    url: '/design/material/create',
    method: 'post',
    data: data
  })
}

// 更新素材管理
export function updateMaterial(data) {
  return request({
    url: '/design/material/update',
    method: 'put',
    data: data
  })
}

// 删除素材管理
export function deleteMaterial(id) {
  return request({
    url: '/design/material/delete?id=' + id,
    method: 'delete'
  })
}

// 获得素材管理
export function getMaterial(id) {
  return request({
    url: '/design/material/get?id=' + id,
    method: 'get'
  })
}

// 获得素材管理分页
export function getMaterialPage(params) {
  return request({
    url: '/design/material/page',
    method: 'get',
    params
  })
}
// 导出素材管理 Excel
export function exportMaterialExcel(params) {
  return request({
    url: '/design/material/export-excel',
    method: 'get',
    params,
    responseType: 'blob'
  })
}